	
#!/bin/bash

cd /etl/external/hiv

input=$1
dt=$(date +'%Y%m%d' -d '-1days')

  if [[  $input != ""  ]] 
 then 
   dt=$input
 fi 
 
 echo "-------------------"
 echo "part_dt = "$dt
 echo "-------------------"
 
 hive -e "  
INSERT OVERWRITE TABLE TOTAL_MART.TB_FT_OFL_TR_ITEM partition(part_dt = '${dt}')
 SELECT
 'CVS'                          AS TR_ACHIV_SP_CD          --TR   ڵ
 ,CONCAT(RPAD(TRIM(T10.ORIGIN_BIZPL_CD),6,'_') , '^' , RPAD(T10.OPER_DT ,8,'_'), '^' , RPAD(T10.POS_NO ,1,'_') , '^' , LPAD(CAST(T10.SALE_SEQ AS VARCHAR(5))  ,5,'0'))  AS TRHEAD_KEY
 ,TRIM(T10.ORIGIN_BIZPL_CD)     AS STR_DISTN_CD            --  ĺ ڵ
 ,T20.STR_NM                    AS STR_NM                  -- 
 ,T10.part_oper_dt              AS SALE_DT                 --  
 ,T10.POS_NO                    AS POS_NO                  -- POS ȣ
 ,T10.SALE_SEQ                  AS SELL_SEQNO              -- Ǹ Ϸùȣ
 ,T10.GOODS_REGI_SEQ            AS ITEM_REG_SEQNO          -- ǰ  Ϸùȣ
 ,T10.BIZPL_CD                  AS CRNT_STR_DISTN_CD       --   ĺ ڵ
 ,T20.CRNT_STR_NM               AS CRNT_STR_NM             --   
 ,T10.DEAL_SP                   AS DEAL_SP_CD              -- ŷ  ڵ  TR09
 ,T90.COMM_CD_NM                AS DEAL_SP_CD_NM           -- ŷ  ڵ
 ,T10.SALE_SP                   AS SELL_SP_CD              -- Ǹ  ڵ   TR10
 ,T91.COMM_CD_NM                AS SELL_SP_CD_NM           -- Ǹ  ڵ
 ,T10.ITEM_INPUT_SP             AS ITEM_INPUT_SP_CD        -- ǰ Է  ڵ  TR02
 ,T92.COMM_CD_NM                AS ITEM_INPUT_SP_CD_NM     -- ǰ Է  ڵ
 ,LCLS.ITEM_LCLS_CD             AS DPT_CD                  -- DPT ڵ
 ,LCLS.ITEM_LCLS_NM             AS DPT_CD_NM               -- DPT ڵ
 ,T10.LINE_CD                   AS LINE_CD                 --LINE ڵ
 ,MCLS.ITEM_MCLS_NM             AS LINE_CD_NM              --LINE ڵ
 ,T10.CLASS_CD                  AS CLSS_CD                 --CLASS ڵ
 ,SCLS.ITEM_SCLS_NM             AS CLSS_CD_NM              --CLASS ڵ
 ,ITM.ITEM_DCLS_CD              AS SBCLS_CD                --SUBCLASS ڵ
 ,DCLS.ITEM_DCLS_NM             AS SBCLS_CD_NM             --SUBCLASS ڵ
 ,T10.GOODS_CD                  AS ITEM_CD                 --ǰ ڵ
 ,ITM.ITEM_NM                   AS ITEM_NM                 --ǰ
 ,TRIM(T10.POS_DC_SP )          AS POS_DC_SP_CD            --POS   ڵ
 ,T10.PRC_SP                    AS SPRC_SP_CD              --Ű  ڵ  --SL01
 ,T10.COST                      AS CST                     --
 ,T10.PRC                       AS SPRC                    --Ű
 ,NULL                          AS REAL_SPRC               -- Ű
 ,T10.DC_PRC                    AS DC_SPRC                 --ε Ű***
 ,T10.SALE_QTY                  AS SELL_QTY                --ǰǸż
 --,T10.MBR_DC_AMT +PRMT_DC_AMT   AS DC_ITM_AMT             -- ׸ݾ
 ,T10.BSKT_PURCH_AMT            AS BSKT_PURCH_AMT          --ٱ  ݾ
 ,T10.BSKT_REFND_AMT            AS BSKT_REFND_AMT          --ٱ ȯ ݾ
 ,T10.ITEM_PURCH_AMT            AS ITEM_PURCH_AMT          --ǰ  ݾ  --ǰݾ (  ǸŰŷ :1 , Ǹűݾ - ǰαݾ , ǰ:5 ϰ 0 )
 ,T10.ITEM_PURCH_QTY            AS ITEM_PURCH_QTY          --ǰ    --ǰ (  ǸŰŷ :1 , Ǹż * 1  , ǰ:5 ϰ 0 )
 ,T10.ITEM_REFND_AMT            AS ITEM_REFND_AMT          --ǰ ȯ ݾ  --ǰȯұݾ (  ǸŰŷ :2 , (Ǹűݾ - ǰαݾ ) * -1 , ǰ:9 ϰ 0 )
 ,T10.ITEM_REFND_QTY            AS ITEM_REFND_QTY          --ǰ ȯ   --ǰȯҼ (  ǸŰŷ :2 , Ǹż * -1 ,ǰ:9 ϰ 0 )
 ,NULL                          AS QTY_SP_CD               --  ڵ
 ,NULL                          AS QTY_SP_CD_NM            --  ڵ
 ,T10.SKU_CANCEL_YN             AS SKU_CNCL_YN             --ǰ  
 ,T10.SALE_DT_DOW_CD            AS SALE_DT_DOW_CD          --   ڵ
 ,T93.COMM_CD_NM                AS SALE_DT_DOW_CD_NM       --   ڵ
 ,T10.UQID_LBIT                 AS UQID_LBIT               --Ͻĺ BIT
 ,T10.CUST_DISTN_TYPE_CD        AS CUST_DISTN_TYPE_CD      -- ĺ  ڵ
 ,T10.CUST_DISTN_NO             AS CUST_DISTN_NO           -- ĺ ȣ
 ,TRIM(T10.SORC_SYS_CD)         AS SORC_SYS_CD             --ҽ ý ڵ
 ,TRIM(T10.SERIAL1 )            AS SERIAL1                 -- ȣ
 ,T10.UQID_STAND_DSTC           AS UQID_STAND_DSTC         --Ͻĺ  Ÿ
 ,T10.CUST_STAND_DSTC           AS CUST_STAND_DSTC         --  Ÿ
 ,NULL                          AS FST_STKIN_DT            -- ԰ 
 ,T10.ORDER_APPL_DT             AS ORDER_APPL_DT           --  
 ,T20.ADMD_CD                   AS STR_ADMD_CD            --   ڵ
 ,T81.ZIP_CODE                  AS STR_ZIP_CODE           --  ȣ
 ,T30.HOME_ADMD_CD              AS HOME_ADMD_CD           --   ڵ
 ,T30.AGE_RANGE_CD              AS AGE_RANGE_CD           -- ɹڵ
 ,T95.COMM_CD_NM                AS AGE_RANGE_CD_NM        -- ɹڵ
 ,T30.GEN_CD                    AS GEN_CD                 -- ڵ
 ,T96.COMM_CD_NM                AS GEN_CD_NM              -- ɹڵ
 ,T50.CRM_CUST_GRD_CD           AS CRM_CUST_GRD_CD        -- CRM ()
 ,T97.COMM_CD_NM                AS CRM_CUST_GRD_CD_NM     -- CRM ()
 ,NVL(T60.CRM_CUST_GRD_CD ,T50.CRM_CUST_GRD_CD)        AS BD_CUST_GRD_CD         -- ΰ
 ,NVL(T98.COMM_CD_NM ,T97.COMM_CD_NM  )                AS BD_CUST_GRD_CD_NM      -- ΰ޸
 ,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM       -- DW Ͻ 
 ,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE  Ͻ
 FROM LAKE_OFFLINE.GSUCDW_TB_FT_CVS_TR_ITEM   T10
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
              ON TRIM(T10.ORIGIN_BIZPL_CD) = T20.STR_DISTN_CD
             AND T20.BIZU_CD = '1'
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
              ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
 LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- ̺   (  or  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)        = T50.SERIAL1
             AND SUBSTR(T10.part_oper_dt,1,6)     = T50.part_STAND_YYMM
             AND T50.BD_SP_CD = 'Z'
 LEFT OUTER JOIN  (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd  FROM  LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM  =  SUBSTR('${dt}' ,1,6)  )   T60  -- ̺   (  or  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)        = T60.SERIAL1
             AND SUBSTR(T10.part_oper_dt,1,6)     = T60.part_STAND_YYMM
             AND T60.BD_SP_CD = 'C'	  
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_MCLS MCLS
              ON MCLS.ITEM_MCLS_CD  = T10.LINE_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_SCLS SCLS
              ON SCLS.ITEM_SCLS_CD  = CONCAT(T10.LINE_CD,T10.CLASS_CD)
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM ITM
              ON ITM.ITEM_CD = T10.GOODS_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_LCLS LCLS
              ON LCLS.ITEM_LCLS_CD  =MCLS.ITEM_LCLS_CD					  
LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_DCLS  DCLS
              ON DCLS.ITEM_DCLS_CD  = ITM.ITEM_DCLS_CD 			  
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T90    -- ŷ  ڵ   TR09
              ON T10.DEAL_SP = T90.COMM_CD
             AND T90.SCHEMA_NM ='GSSCODS'
             AND T90.COMM_GRP_CD ='TR09'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91    -- Ǹ  ڵ   TR10
              ON TRIM(T10.SALE_SP) = T91.COMM_CD
             AND T91.SCHEMA_NM ='GSSCODS'
             AND T91.COMM_GRP_CD ='TR10'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92     -- Է±ڵ  TR02
              ON T10.ITEM_INPUT_SP = T92.COMM_CD
             AND T92.SCHEMA_NM ='GSSCODS'
             AND T92.COMM_GRP_CD ='TR02'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
              ON T10.SALE_DT_DOW_CD = T93.COMM_CD
             AND T93.SCHEMA_NM ='GSUCDW'
             AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
              ON T30.AGE_RANGE_CD = T95.COMM_CD
             AND T95.SCHEMA_NM ='GSUCDW'
             AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
              ON T30.GEN_CD = T96.COMM_CD
             AND T96.SCHEMA_NM ='GSUCDW'
             AND T96.COMM_GRP_CD ='GEN_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
              ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
             AND T97.SCHEMA_NM ='GSCRMODS'
             AND T97.COMM_GRP_CD ='R20'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T98
              ON T60.CRM_CUST_GRD_CD = T98.COMM_CD
             AND T98.SCHEMA_NM ='GSCRMODS'
             AND T98.COMM_GRP_CD ='R20'
 LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE    T81/* GSI_ */
         ON TRIM(T10.BIZPL_CD )        = T81.STORE_ID
        AND T81.DIV_CODE         = 'C'       /* α C. */
 WHERE 1=1
   AND T10.part_oper_dt = '${dt}'

 UNION ALL

 SELECT
 'SM'                           AS TR_ACHIV_SP_CD          --TR   ڵ
 ,CONCAT(RPAD(TRIM(T10.STR_CD),6,'_') , '^', RPAD(T10.SALES_DT ,8,'_'),  '^', RPAD(T10.POS_NO ,1,'_') ,  '^', LPAD(CAST(T10.SELL_SEQNO AS VARCHAR(5))  ,5,'0'))  AS TRHEAD_KEY
 ,T10.STR_CD                    AS STR_DISTN_CD            -- ĺ ڵ
 ,T20.STR_NM                    AS STR_NM                  --
 ,T10.SALES_DT                  AS SALE_DT                 -- 
 ,T10.POS_NO                    AS POS_NO                  --POS ȣ
 ,T10.SELL_SEQNO                AS SELL_SEQNO              --Ǹ Ϸùȣ
 ,T10.ITEM_SEQNO                AS ITEM_REG_SEQNO          --ǰ  Ϸùȣ
 ,T10.STR_CD                    AS CRNT_STR_DISTN_CD       --  ĺ ڵ
 ,T20.CRNT_STR_NM               AS CRNT_STR_NM             --  
 ,T11.DEAL_SP_CD                AS DEAL_SP_CD              --ŷڵ ߰ ʿ
 ,T90.COMM_CD_NM                AS DEAL_SP_CD_NM           --ŷڵ ߰ ʿ
 ,T10.SELL_SP_CD                AS SELL_SP_CD              --Ǹ  ڵ
 ,T91.COMM_CD_NM                AS SELL_SP_CD_NM           --Ǹ  ڵ  POS055
 ,T10.INPUT_SP_CD               AS ITEM_INPUT_SP_CD        --ǰ Է  ڵ
 ,T92.COMM_CD_NM                AS ITEM_INPUT_SP_CD_NM     --ǰ Է  ڵ  POS059
 ,T10.DPT_CD                    AS DPT_CD                  --DPT ڵ
 ,LCLS.ITEM_LCLS_NM             AS DPT_CD_NM               --DPT ڵ
 ,T10.LINE_CD                   AS LINE_CD                 --LINE ڵ
 ,MCLS.ITEM_MCLS_NM             AS LINE_CD_NM              --LINE ڵ
 ,T10.CLSS_CD                   AS CLSS_CD                 --CLASS ڵ
 ,SCLS.ITEM_SCLS_NM             AS CLSS_CD_NM              --CLASS ڵ
 ,T10.SUBCLSS_CD                AS SBCLS_CD                --SUBCLASS ڵ
 ,DCLS.ITEM_DCLS_NM             AS SBCLS_CD_NM             --SUBCLASS ڵ
 ,T10.ITEM_CD                   AS ITEM_CD                 --ǰ ڵ
 ,ITM.ITEM_NM                   AS ITEM_NM                 --ǰ
 ,NULL                          AS POS_DC_SP_CD            --POS   ڵ
 ,NULL                          AS SPRC_SP_CD              --Ű  ڵ
 ,T10.COST                      AS CST                     --
 ,T10.PRC                       AS SPRC                    --Ű
 ,T10.REAL_PRC                  AS REAL_SPRC               -- Ű
 ,T10.DC_PRC                    AS DC_SPRC                 -- Ű
 ,T10.ITEM_QTY                  AS SELL_QTY                --ǰǸż
 --,NULL                          AS DC_ITM_AMT              -- ׸ݾ (Űαݾ + αݾ  +αݾ + ķαݾ + GSαݾ + ǰαݾ + ?? ߰ )
 ,T10.BSKT_PURCH_AMT            AS BSKT_PURCH_AMT          --ٱ  ݾ
 ,T10.BSKT_REFND_AMT            AS BSKT_REFND_AMT          --ٱ ȯ ݾ
 ,T10.ITEM_PURCH_AMT            AS ITEM_PURCH_AMT          --ǰ  ݾ  --ǰݾ (  DEAL_SP_CD = '01'   (REAL_PRC * QTY)  /* ŷڵ 01. , 02. ǰ */
 ,T10.ITEM_PURCH_QTY            AS ITEM_PURCH_QTY          --ǰ    --ǰ (  DEAL_SP_CD = '01'  ITEM_QTY   /* ŷڵ 01. , 02. ǰ */
 ,T10.ITEM_REFND_AMT            AS ITEM_REFND_AMT          --ǰ ȯ ݾ  --ǰȯұݾ (  DEAL_SP_CD = '02'   (REAL_PRC * QTY) * -1  /* ŷڵ 01. , 02. ǰ */
 ,T10.ITEM_REFND_QTY            AS ITEM_REFND_QTY          --ǰ ȯ   --ǰȯҼ (  DEAL_SP_CD = '02'  ITEM_QTY  * -1  /* ŷڵ 01. , 02. ǰ  */
 ,T10.QTY_SP_CD                 AS QTY_SP_CD               --  ڵ  POS049
 ,T99.COMM_CD_NM                AS QTY_SP_CD_NM            --  ڵ
 ,NULL                          AS SKU_CNCL_YN             --ǰ  
 ,T10.SALE_DT_DOW_CD            AS SALE_DT_DOW_CD          --   ڵ
 ,T93.COMM_CD_NM                AS SALE_DT_DOW_CD_NM       --   ڵ
 ,T10.UQID_LBIT                 AS UQID_LBIT               --Ͻĺ BIT
 ,T10.CUST_DISTN_TYPE_CD        AS CUST_DISTN_TYPE_CD      -- ĺ  ڵ
 ,T10.CUST_DISTN_NO             AS CUST_DISTN_NO           -- ĺ ȣ
 ,T10.SORC_SYS_CD               AS SORC_SYS_CD             --ҽ ý ڵ
 ,T10.SERIAL1                   AS SERIAL1                 -- ȣ
 ,T10.UQID_STAND_DSTC           AS UQID_STAND_DSTC         --Ͻĺ  Ÿ
 ,T10.CUST_STAND_DSTC           AS CUST_STAND_DSTC         --  Ÿ
 ,T10.FST_STKIN_DT              AS FST_STKIN_DT            -- ԰ 
 ,NULL                          AS ORDER_APPL_DT           --  
 ,T20.ADMD_CD                   AS STR_ADMD_CD             --   ڵ
 ,T81.ZIP_CODE                  AS STR_ZIP_CODE            --  ȣ
 ,T30.HOME_ADMD_CD              AS HOME_ADMD_CD            --   ڵ
 ,T30.AGE_RANGE_CD              AS AGE_RANGE_CD            -- ɹڵ
 ,T95.COMM_CD_NM                AS AGE_RANGE_CD_NM         -- ɹڵ
 ,T30.GEN_CD                    AS GEN_CD                  -- ڵ
 ,T96.COMM_CD_NM                AS GEN_CD_NM               -- ɹڵ
 ,T50.CRM_CUST_GRD_CD           AS CRM_CUST_GRD_CD         -- CRM ()
 ,T97.COMM_CD_NM                AS CRM_CUST_GRD_CD_NM      -- CRM ()
 ,T50.CRM_CUST_GRD_CD           AS BD_CUST_GRD_CD          -- BD 
 ,T97.COMM_CD_NM                AS BD_CUST_GRD_CD_NM       -- BD ޸
 ,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM       -- DW Ͻ 
 ,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE  Ͻ
 FROM LAKE_OFFLINE.GSUCDW_TB_FT_SM_TR_ITEM  T10
 LEFT OUTER JOIN (SELECT   part_SALES_DT ,STR_CD , POS_NO , SELL_SEQNO, DEAL_SP_CD   FROM  LAKE_OFFLINE.GSUCDW_TB_FT_SM_TR_HDR  WHERE part_SALES_DT = '${dt}'  ) T11
        ON T10.STR_CD         = T11.STR_CD
       AND T10.POS_NO         = T11.POS_NO
       AND T10.SELL_SEQNO     = T11.SELL_SEQNO
       AND T10.part_SALES_DT  = T11.part_SALES_DT
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
              ON T10.STR_CD = T20.STR_DISTN_CD
             AND T20.BIZU_CD = '2'
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
              ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
 LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- ̺   (  or  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)          = T50.SERIAL1
             AND SUBSTR(T10.part_SALES_DT,1,6)     = T50.part_STAND_YYMM
             AND T50.BD_SP_CD = 'Z'
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_LCLS       LCLS
              ON LCLS.ITEM_LCLS_CD  = T10.DPT_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_MCLS       MCLS
              ON CONCAT(MCLS.ITEM_LCLS_CD , MCLS.ITEM_MCLS_CD)  = T10.LINE_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_SCLS       SCLS
              ON SCLS.ITEM_SCLS_CD  = T10.CLSS_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM_DCLS       DCLS
              ON DCLS.ITEM_DCLS_CD  = T10.SUBCLSS_CD
 LEFT OUTER JOIN LAKE_OFFLINE.GSUMDADM_TB_MA_ITEM            ITM
              ON ITM.ITEM_CD = T10.ITEM_CD
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T90  -- ŷ
              ON T11.DEAL_SP_CD = T90.COMM_CD
             AND T90.SCHEMA_NM ='GSSMODS'
             AND T90.COMM_GRP_CD ='POS023'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91  -- Ǹű
              ON TRIM(T10.SELL_SP_CD) = T91.COMM_CD
             AND T91.SCHEMA_NM ='GSSMODS'
             AND T91.COMM_GRP_CD ='POS055'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92     --ITEM_INPUT_SP
              ON T10.INPUT_SP_CD = T92.COMM_CD
             AND T92.SCHEMA_NM ='GSSMODS'
             AND T92.COMM_GRP_CD ='POS059'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
              ON T10.SALE_DT_DOW_CD = T93.COMM_CD
             AND T93.SCHEMA_NM ='GSUCDW'
             AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
              ON T30.AGE_RANGE_CD = T95.COMM_CD
             AND T95.SCHEMA_NM ='GSUCDW'
             AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
              ON T30.GEN_CD = T96.COMM_CD
             AND T96.SCHEMA_NM ='GSUCDW'
             AND T96.COMM_GRP_CD ='GEN_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
              ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
             AND T97.SCHEMA_NM ='GSCRMODS'
             AND T97.COMM_GRP_CD ='R20'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T99         -- ڵ
              ON T10.QTY_SP_CD  = T99.COMM_CD
             AND T99.SCHEMA_NM ='GSSMODS'
             AND T99.COMM_GRP_CD ='POS049'
 LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE         T81 /* GSI_ */
         ON TRIM(T10.STR_CD )        = T81.STORE_ID
        AND T81.DIV_CODE         = 'S'       /* α C. */
 WHERE 1=1
   AND T10.part_SALES_DT = '${dt}'

 UNION ALL

 SELECT
 'HNB'                          AS TR_ACHIV_SP_CD          --TR   ڵ
 ,CONCAT(RPAD(TRIM(T10.BIZPL_CD),6,'_') , '^' , RPAD(T10.OPER_DT ,8,'_'), '^' , RPAD(T10.POS_NO ,1,'_') , '^' , LPAD(CAST(T10.SALE_SEQ AS VARCHAR(5))  ,5,'0'))  AS TRHEAD_KEY
 ,TRIM(T10.BIZPL_CD)     AS STR_DISTN_CD                   --  ĺ ڵ
 ,T20.STR_NM                    AS STR_NM                  -- 
 ,T10.OPER_DT                   AS SALE_DT                 --  
 ,T10.POS_NO                    AS POS_NO                  -- POS ȣ
 ,T10.SALE_SEQ                  AS SELL_SEQNO              -- Ǹ Ϸùȣ
 ,T10.GOODS_REGI_SEQ            AS ITEM_REG_SEQNO          -- ǰ  Ϸùȣ
 ,T10.BIZPL_CD                  AS CRNT_STR_DISTN_CD       --   ĺ ڵ
 ,T20.CRNT_STR_NM               AS CRNT_STR_NM             --   
 ,T11.DEAL_SP                   AS DEAL_SP_CD              -- ŷ  ڵ  TR09
 ,T90.COMM_CD_NM                AS DEAL_SP_CD_NM           -- ŷ  ڵ
 ,T10.SALE_SP                   AS SELL_SP_CD              -- Ǹ  ڵ   TR10
 ,T91.COMM_CD_NM                AS SALE_SP_CD_NM           -- Ǹ  ڵ
 ,T10.INPUT_SP                  AS ITEM_INPUT_SP_CD        -- ǰ Է  ڵ  TR02
 ,T92.COMM_CD_NM                AS ITEM_INPUT_SP_CD_NM     -- ǰ Է  ڵ
 ,ITM.BD_ITEM_LCLS_CD           AS DPT_CD                  -- DPT ڵ
 ,ITM.BD_ITEM_LCLS_NM           AS DPT_CD_NM               -- DPT ڵ
 ,T10.LINE_CD                   AS LINE_CD                 --LINE ڵ
 ,MCLS.BD_ITEM_MCLS_NM          AS LINE_CD_NM              --LINE ڵ
 ,T10.CLASS_CD                  AS CLSS_CD                 --CLASS ڵ
 ,SCLS.BD_ITEM_SCLS_NM          AS CLSS_CD_NM              --CLASS ڵ
 ,SUBSTR(ITM.BD_ITEM_DCLS_CD,5,4)           AS SBCLS_CD    --SUBCLASS ڵ
 ,ITM.BD_ITEM_DCLS_NM           AS SBCLS_CD_NM             --SUBCLASS ڵ
 ,T10.GOODS_CD                  AS ITEM_CD                 --ǰ ڵ
 ,ITM.BD_ITEM_NM                AS ITEM_NM                 --ǰ
 ,TRIM(T10.STR_DC_MODE  )       AS POS_DC_SP_CD            --POS   ڵ
 ,T10.PRC_TYPE_SP               AS SPRC_SP_CD              --Ű  ڵ  --SL01
 ,T10.COST                      AS CST                     --
 ,T10.PRC                       AS SPRC                    --Ű
 ,NULL                          AS REAL_SPRC               -- Ű
 ,T10.DC_PRC                    AS DC_SPRC                 --ε Ű***
 ,T10.SALE_QTY                  AS SELL_QTY                --ǰǸż
 --,(NVL(T10.MBR_DC_AMT,0) + NVL(T10.PRMT_DC_AMT,0) + NVL(T10.GOODS_DC_AMT,0) + NVL(T10.AUTO_COUPON_DC_AMT,0) + NVL(T10.PRINT_COUPON_DC_AMT,0) + T10.TENDER_DC_AMT + T10.POS_DC_AMT )   AS DC_ITM_AMT      -- ׸ݾ
 ,T10.BSKT_PURCH_AMT            AS BSKT_PURCH_AMT          --ٱ  ݾ
 ,T10.BSKT_REFND_AMT            AS BSKT_REFND_AMT          --ٱ ȯ ݾ
 ,T10.ITEM_PURCH_AMT            AS ITEM_PURCH_AMT          --ǰ  ݾ  ( ŷ ='01' Ǹ, SALE_SP= 1.  DC_PRC * QTY - DC (MBR__DC_AMT ,PRMT_DC,GOODS_DC, AUTO_COUPON_DC , PRINT_COUPON_DC.TENDER_DC_AMT,POS_DC_AMT) , 5 :0 )
 ,T10.ITEM_PURCH_QTY            AS ITEM_PURCH_QTY          --ǰ    (ŷ ='01' Ǹ, SALE_SP= 1.  Ǹż * 1  , 5 ϰ 0 )
 ,T10.ITEM_REFND_AMT            AS ITEM_REFND_AMT          --ǰ ȯ ݾ  ( ŷ ='01' Ǹ, SALE_SP =2.ǰ, 6.ǰǰ, 7.ǰ ,  6 0 , 2,7  (DC_PRC*QTY -DC )* -1
 ,T10.ITEM_REFND_QTY            AS ITEM_REFND_QTY          --ǰ ȯ   ( ŷ ='01' Ǹ, SALE_SP =2.ǰ, 6.ǰǰ, 7.ǰ ,  6 0 , 2,7  Ǹż * -1
 ,NULL                          AS QTY_SP_CD               --  ڵ
 ,NULL                          AS QTY_SP_CD_NM            --  ڵ
 ,T10.SKU_CANCEL_YN             AS SKU_CNCL_YN             --ǰ  
 ,T10.SALE_DT_DOW_CD            AS SALE_DT_DOW_CD          --   ڵ
 ,T93.COMM_CD_NM                AS SALE_DT_DOW_CD_NM       --   ڵ
 ,T10.UQID_LBIT                 AS UQID_LBIT               --Ͻĺ BIT
 ,T10.CUST_DISTN_TYPE_CD        AS CUST_DISTN_TYPE_CD      -- ĺ  ڵ
 ,T10.CUST_DISTN_NO             AS CUST_DISTN_NO           -- ĺ ȣ
 ,TRIM(T10.SORC_SYS_CD)         AS SORC_SYS_CD             --ҽ ý ڵ
 ,TRIM(T10.SERIAL1 )            AS SERIAL1                 -- ȣ
 ,T10.UQID_STAND_DSTC           AS UQID_STAND_DSTC         --Ͻĺ  Ÿ
 ,T10.CUST_STAND_DSTC           AS CUST_STAND_DSTC         --  Ÿ
 ,NULL                          AS FST_STKIN_DT            -- ԰ 
 ,T10.ORDER_APPL_DT             AS ORDER_APPL_DT           --  
 ,T20.ADMD_CD                   AS STR_ADMD_CD            --   ڵ
 ,T81.ZIP_CODE                  AS STR_ZIP_CODE           --  ȣ
 ,T30.HOME_ADMD_CD              AS HOME_ADMD_CD           --   ڵ
 ,T30.AGE_RANGE_CD              AS AGE_RANGE_CD           -- ɹڵ
 ,T95.COMM_CD_NM                AS AGE_RANGE_CD_NM        -- ɹڵ
 ,T30.GEN_CD                    AS GEN_CD                 -- ڵ
 ,T96.COMM_CD_NM                AS GEN_CD_NM              -- ɹڵ
 ,T50.CRM_CUST_GRD_CD           AS CRM_CUST_GRD_CD        -- CRM ()
 ,T97.COMM_CD_NM                AS CRM_CUST_GRD_CD_NM     -- CRM ()
 ,NVL(T60.CRM_CUST_GRD_CD ,T50.CRM_CUST_GRD_CD)        AS BD_CUST_GRD_CD         -- ΰ
 ,NVL(T98.COMM_CD_NM ,T97.COMM_CD_NM  )                AS BD_CUST_GRD_CD_NM      -- ΰ޸
 ,T10.ETL_MOD_DTTM                       AS DW_MOD_DTTM       -- DW Ͻ 
 ,CURRENT_TIMESTAMP()                    AS HIVE_MOD_DTTM     -- HIVE  Ͻ
 FROM LAKE_OFFLINE.GSUCDW_TB_FT_HNB_TR_ITEM   T10
 LEFT OUTER JOIN (SELECT  PART_OPER_DT ,BIZPL_CD , POS_NO , SALE_SEQ,  DEAL_SP  FROM  LAKE_OFFLINE.GSUCDW_TB_FT_HNB_TR_HDR  WHERE PART_OPER_DT = '${dt}'  ) T11
        ON T10.BIZPL_CD        = T11.BIZPL_CD
       AND T10.PART_OPER_DT    = T11.PART_OPER_DT
       AND T10.POS_NO          = T11.POS_NO
       AND T10.SALE_SEQ        = T11.SALE_SEQ
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_STR_BASE T20
              ON T10.BIZPL_CD = T20.STR_DISTN_CD
             AND T20.BIZU_CD = '3'
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_UQID_CUST_BASE T30
              ON T10.CUST_DISTN_NO = T30.UQID_CUST_NO
 LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T50  -- ̺   (  or  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)          = T50.SERIAL1
             AND SUBSTR(T10.part_OPER_DT,1,6)     = T50.part_STAND_YYMM
             AND T50.BD_SP_CD = 'Z'
 LEFT OUTER JOIN (SELECT part_stand_yymm , SERIAL1 , bd_sp_cd , crm_cust_grd_cd    FROM LAKE_OFFLINE.GSCRMODS_TB_CG_CUST_GRD  WHERE part_STAND_YYMM = SUBSTR('${dt}' ,1,6)   )  T60  -- ̺   (  or  GSECODS.TB_CU_MBR_GRD)
              ON TRIM(T10.SERIAL1)          = T60.SERIAL1
             AND SUBSTR(T10.part_OPER_DT,1,6)     = T60.part_STAND_YYMM
             AND T60.BD_SP_CD = 'W'
 LEFT OUTER JOIN  (SELECT DISTINCT BD_ITEM_MCLS_CD , BD_ITEM_MCLS_NM  FROM   LAKE_OFFLINE.GSUCDW_TB_DM_BD_ITEM_BASE WHERE BIZU_CD ='3' )    MCLS
              ON MCLS.BD_ITEM_MCLS_CD  = T10.LINE_CD
 LEFT OUTER JOIN (SELECT DISTINCT BD_ITEM_SCLS_CD , BD_ITEM_SCLS_NM  FROM   LAKE_OFFLINE.GSUCDW_TB_DM_BD_ITEM_BASE WHERE BIZU_CD ='3' )   SCLS
              ON SCLS.BD_ITEM_SCLS_CD  = CONCAT(T10.LINE_CD,T10.CLASS_CD)
 LEFT OUTER JOIN LAKE_OFFLINE.GSUCDW_TB_DM_BD_ITEM_BASE ITM
              ON ITM.BD_ITEM_CD = T10.GOODS_CD
             AND ITM.BIZU_CD ='3'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T90    -- ŷ  ڵ   TR09
              ON T11.DEAL_SP = T90.COMM_CD
             AND T90.SCHEMA_NM ='GSHNBDW'
             AND T90.COMM_GRP_CD ='TR09'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T91
              ON T10.SALE_SP = T91.COMM_CD
             AND TRIM(T91.SCHEMA_NM) ='GSHNBDW'
             AND T91.COMM_GRP_CD ='TR10'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T92
              ON T10.INPUT_SP  = T92.COMM_CD
             AND T92.SCHEMA_NM ='GSHNBDW'
             AND T92.COMM_GRP_CD ='TR02'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T93
              ON T10.SALE_DT_DOW_CD = T93.COMM_CD
             AND T93.SCHEMA_NM ='GSUCDW'
             AND T93.COMM_GRP_CD ='PURCH_DOW_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T95
              ON T30.AGE_RANGE_CD = T95.COMM_CD
             AND T95.SCHEMA_NM ='GSUCDW'
             AND T95.COMM_GRP_CD ='AGE_RANGE_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T96
              ON T30.GEN_CD = T96.COMM_CD
             AND T96.SCHEMA_NM ='GSUCDW'
             AND T96.COMM_GRP_CD ='GEN_CD'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T97
              ON T50.CRM_CUST_GRD_CD = T97.COMM_CD
             AND T97.SCHEMA_NM ='GSCRMODS'
             AND T97.COMM_GRP_CD ='R20'
 LEFT OUTER JOIN TOTAL_MART.TB_COMM_CD  T98
              ON T60.CRM_CUST_GRD_CD = T98.COMM_CD
             AND T98.SCHEMA_NM ='GSCRMODS'
             AND T98.COMM_GRP_CD ='R20'
 LEFT OUTER JOIN LAKE_OFFLINE.GSGISODS_TB_GZ_STORE         T81/* GSI_ */
         ON TRIM(T10.BIZPL_CD )        = T81.STORE_ID
        AND T81.DIV_CODE         = 'W'       /* α W.HNB */
 WHERE 1=1
   AND T10.part_OPER_DT = '${dt}'
;
"
exit 

